[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'db' (#fcl)

# TDBTransaction.destroy

Remove a TDBTransaction instance from memory.

## Declaration

Source position: db.pas line 1828

`public destructor TDBTransaction.destroy; override;`

## Description

Destroy first disconnects all connected TDBDataset instances and then cleans up the resources allocated in the Create constructor. After that it calls the inherited destructor.

## See also

TDBTransaction.Create |  | Transaction property

The latest version of this document can be found at lazarus-ccr.sourceforge.net .